SND_SOC_JACK_NOTIFIE(9)

NAME
snd_soc_jack_notifier_register - Register a notifier for jack status

SYNOPSIS

void snd_soc_jack_notifier_register(struct snd_soc_jack * jack, struct notifier_block * nb);

ARGUMENTS

jack
    ASoC jack

nb
    Notifier block to register

DESCRIPTION

Register for notification of the current status of the jack. Note that it is not possible to report additional jack events in the callback from the notifier, this is intended to support applications such as enabling electrical detection only when a mechanical detection event has occurred.

COPYRIGHT